WPS8TextInternal::Notes Struct Reference

Internal: class to store the note position. More...

## Classes

struct | Compare
| internal struct used to create sorted map More...

## Public Member Functions

| Notes ()
| constructor More...
| Notes (Notes const &orig)
| copy constructor More...
Notes & | operator= (Notes const &orig)
| copy operator More...
WPSEntry | getCorrespondanceEntry (long offset) const

## Public Attributes

int | m_zoneNote
| the id of the zone which corresponds to the data More...
int | m_zoneCorr
| the id of the zone which called/used this data More...
WPSContentListener::NoteType | m_type
| the note type : footnote or endnote More...
bool | m_note
| a flag to know if this is the note content More...
Notes const * | m_corr
| a pointer to the corresponding notes More...
std::vector< long > | m_positions
| the positions of the data in the file More...

## Friends

std::ostream & | operator<< (std::ostream &o, Notes const &note)
| operator << More...

## Detailed Description

Internal: class to store the note position.

## Constructor & Destructor Documentation

WPS8TextInternal::Notes::Notes | ( |  | ) |

inline

constructor

WPS8TextInternal::Notes::Notes | ( | Notes const & | orig | ) |

inline

copy constructor

## Member Function Documentation

WPSEntry WPS8TextInternal::Notes::getCorrespondanceEntry | ( | long | offset | ) | const

inline

Referenced by WPS8Text::readText().

Notes& WPS8TextInternal::Notes::operator= | ( | Notes const & | orig | ) |

inline

copy operator

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Notes const & | note
| ) |  |

friend

operator <<

## Member Data Documentation

Notes const* WPS8TextInternal::Notes::m_corr

a pointer to the corresponding notes

Referenced by getCorrespondanceEntry(), operator=(), and WPS8Text::readText().

bool WPS8TextInternal::Notes::m_note

a flag to know if this is the note content

Referenced by operator=(), and WPS8Text::readText().

std::vector<long> WPS8TextInternal::Notes::m_positions

the positions of the data in the file

Referenced by getCorrespondanceEntry(), WPS8TextInternal::operator<<(), operator=(), and WPS8Text::readNotes().

WPSContentListener::NoteType WPS8TextInternal::Notes::m_type

the note type : footnote or endnote

Referenced by getCorrespondanceEntry(), WPS8TextInternal::Notes::Compare::operator()(), WPS8TextInternal::operator<<(), operator=(), and WPS8Text::readNotes().

int WPS8TextInternal::Notes::m_zoneCorr

the id of the zone which called/used this data

Referenced by WPS8TextInternal::Notes::Compare::operator()(), WPS8TextInternal::operator<<(), operator=(), and WPS8Text::readNotes().

int WPS8TextInternal::Notes::m_zoneNote

the id of the zone which corresponds to the data

Referenced by WPS8TextInternal::Notes::Compare::operator()(), WPS8TextInternal::operator<<(), operator=(), and WPS8Text::readNotes().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp